petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPLSQRDefaultConverged

Determines convergence of the LSQR Krylov method. This calls KSPConvergedDefault() and if that does not determine convergence then checks convergence for the least squares problem.

### Synopsis

    PetscErrorCode  KSPLSQRDefaultConverged(KSP ksp,PetscInt n,PetscReal rnorm,KSPConvergedReason *reason,void *ctx)

Collective on KSP Many br

### Input Parameters

| ksp | - iterative context Many br
| n | - iteration number Many br
| rnorm | - 2-norm residual value (may be estimated) Many br
| ctx | - convergence context which must be created by KSPConvergedDefaultCreate() Many br

### reason is set to

| positive | - if the iteration has converged; Many br
| negative | - if residual norm exceeds divergence threshold; Many br
| 0 | - otherwise. Many br

### Notes

Possible convergence for the least squares problem (which is based on the residual of the normal equations) are KSP_CONVERGED_RTOL_NORMAL norm and KSP_CONVERGED_ATOL_NORMAL. Many br

Many br

### Keywords

KSP, default, convergence, residual

### See Also

KSPSetConvergenceTest(), KSPSetTolerances(), KSPConvergedSkip(), KSPConvergedReason, KSPGetConvergedReason(),
KSPConvergedDefaultSetUIRNorm(), KSPConvergedDefaultSetUMIRNorm(), KSPConvergedDefaultCreate(), KSPConvergedDefaultDestroy(), KSPConvergedDefault() Many br

Level:intermediate
Location:src/ksp/ksp/impls/lsqr/lsqr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages